%define as_plugin_version 5

Summary:   Library for AppStream metadata
Name:      libappstream-glib
Version:   0.8.2
Release:   6%{?dist}
License:   LGPLv2+
URL:       http://people.freedesktop.org/~hughsient/appstream-glib/
Source0:   %{url}releases/appstream-glib-%{version}.tar.xz

BuildRequires: glib2-devel docbook-utils gobject-introspection-devel gperf
BuildRequires: gtk3-devel libarchive-devel libsoup-devel gdk-pixbuf2-devel
BuildRequires: gettext libuuid-devel libstemmer-devel json-glib-devel libcurl-devel
BuildRequires: meson cmake rpm-devel git-core fontconfig-devel freetype-devel
BuildRequires: pango-devel libxslt docbook-style-xsl

Requires: gdk-pixbuf2 glib2 json-glib libsoup

Provides: appdata-tools

%description
This library provides GObjects and helper methods to make it easy to read and write AppStream metadata. It also provides
a simple DOM implementation that makes it easy to edit nodes and convert to and from the standardized XML representation.

%package devel
Summary: GLib Libraries and headers for appstream-glib
Requires: %{name} = %{version}-%{release}

%description devel
GLib headers and libraries for appstream-glib.

%package builder
Summary: Library and command line tools for building AppStream metadata
Requires: %{name} = %{version}-%{release}
Recommends: pngquant

%description builder
This library and command line tool is used for building AppStream metadata
from a directory of packages.

%prep
%autosetup -p1 -Sgit -n appstream-glib-%{version}

%build
%meson \
    -Dgtk-doc=false \
    -Dstemmer=true \
    -Ddep11=false
%meson_build

%install
%meson_install

%find_lang appstream-glib

%files -f appstream-glib.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_libdir}/libappstream-glib.so.8*
%{_libdir}/girepository-1.0/*.typelib
%{_bindir}/appstream-util
%{_bindir}/appstream-compose
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/appstream-util
%{_mandir}/man1/appstream-util.1.gz
%{_mandir}/man1/appstream-compose.1.gz

%files devel
%{_libdir}/libappstream-glib.so
%{_libdir}/pkgconfig/appstream-glib.pc
%dir %{_includedir}/libappstream-glib
%{_includedir}/libappstream-glib/*.h
%{_datadir}/gir-1.0/AppStreamGlib-1.0.gir
%{_datadir}/aclocal/*.m4
%{_datadir}/installed-tests/appstream-glib/*.test
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc

%files builder
%license COPYING
%{_bindir}/appstream-builder
%{_datadir}/bash-completion/completions/appstream-builder
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_appdata.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_desktop.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_font.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_gettext.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_hardcoded.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_icon.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_shell_extension.so
%{_mandir}/man1/appstream-builder.1.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-6
- Rebuilt for loongarch release

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 0.8.2-5
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 rockerzhu <rockerzhu@tencent.com> - 0.8.2-1
- Update to 0.8.2 for simple-scan check success

* Thu Dec 8 2022 Shuo Wang <abushwang@tencent.com> - 0.7.18-1
- initial build
